Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class NewDocument

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.NewDocument

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class NewDocument
extends IntranetAction

NewDocument
Cette action prend en charge la création d'un nouveau document
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`NewDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si la personne a le niveau requis
`java.lang.Boolean` | `fileinit(org.jasig.portal.ChannelRuntimeData rd)` Crée un nouveau fichier
`int` | `getLevel()` Retourne le niveau d'accréditation minimum pour accéder à cette action
`java.lang.Boolean` | `linkinit(org.jasig.portal.ChannelRuntimeData rd)` Crée un nouveau lien
`java.lang.Boolean` | `setXML()` Affichage du formulaire création d'un lien ou d'un fichier
`java.lang.Boolean` | `typeinit(org.jasig.portal.ChannelRuntimeData rd)` Détermine le type de document à créer
`void` | `typeoutput()` Positionnement du titre ssl
`java.lang.Boolean` | `typexml()` Affiche le formulaire de création de fichier ou de lien suivant le type de document

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewDocument

    public NewDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### getLevel

    public int getLevel()

  Retourne le niveau d'accréditation minimum pour accéder à cette action

  Specified by:
    `getLevel` in class `IntranetAction`
  Returns:
    ISecurityManager.PUBLICATOR

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si la personne a le niveau requis

  Specified by:
    `action` in class `IntranetAction`
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()

  Affichage du formulaire création d'un lien ou d'un fichier

  Returns:
    Boolean.TRUE

### typeinit

    public java.lang.Boolean typeinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Détermine le type de document à créer

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### typexml

    public java.lang.Boolean typexml()

  Affiche le formulaire de création de fichier ou de lien suivant le type de document

  Returns:
    Boolean.TRUE

### typeoutput

    public void typeoutput()
                    throws org.esupportail.portal.utils.channels.FrameWorkException

  Positionnement du titre ssl

  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### fileinit

    public java.lang.Boolean fileinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Crée un nouveau fichier

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### linkinit

    public java.lang.Boolean linkinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Crée un nouveau lien

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD